# Type HowTo - General type options

## 1. Alias name

The type name is very limited, therefore every type has an alias name. This alias name has no limitations and can be translated. It may contain special characters but make sure that it does not contain HTML special characters like "<".
The alias name is specified with getAlias().
Example:
Our smbDomain type will get the alias "Samba domains".

/** * Returns the alias name of this account type. * * @return string alias name */ function getAlias() { return _("Samba domains"); }

## 2. Description

Each type has a description so that the user knows what accounts he can manage with that type. The description is displayed in the LAM configuration editor.
The description is specified with getDescription().
Example:
Our smbDomain type has the description "Samba 3 domain entries".

/** * Returns the description of this account type. * * @return string description */ function getDescription() { return _("Samba 3 domain entries"); }

##